EDIT - bug #7951

Reference Combobox option titles can be too long causing the select box to extend too much
12/11/2018 05:17 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: major Found in Version:

Description

to reproduce go to the new registration view, enter "Kusber" in the combobox and use the mouse wheel to scroll the options.

Related issues:
Copied to EDIT - bug #7959: LazyCombobox popup over sizing problem Rejected

Associated revisions

Revision bf643f22 - 12/13/2018 03:19 PM - Andreas Kohlbecker

fix #7951 ReferenceLabelProvider to ellipsis the reference labels

Revision 532d021f - 12/13/2018 04:48 PM - Andreas Kohlbecker

ref #7951 ReferencelLabelProvider: fixing wrong string replacement for more complete ellipsis

Revision 2192ca65 - 12/14/2018 02:38 PM - Andreas Kohlbecker

ref #7949 renaming ComboboxLabelProvider to EllypsisFormatter and other classes accordingly, abstract base class introduced

Revision 569b2942 - 12/14/2018 02:42 PM - Andreas Kohlbecker

ref #7951 moving EllypsisFormatter to cdmlib/model/eu.etaxonomy.cdm.format

Revision e8b9f0b2 - 12/14/2018 09:21 PM - Andreas Kohlbecker

ref #7951 more complete generic ReferenceEllypsisFormatter

History

#1 - 12/13/2018 03:18 PM - Andreas Kohlbecker

- Subject changed from LayzyCombobox option titles can be too long causing the select box to extend too much to Reference Combobox option titles
can be too long causing the select box to extend too much

#2 - 12/13/2018 03:19 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|bf643f223676b7510d21e41dd3760f342696e4a4.

#3 - 12/13/2018 03:20 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
please review

#4 - 12/13/2018 04:53 PM - Andreas Kohlbecker
[Henning:]
Uberwiegenst hast Du die wichtigsten Keywords rausgefischt, was mir aufgefallen ist, dass das Kiirzen bei Buchtiteln irgendwie nicht funktioniert.

Die Auswabhl springt etwas pro Bildschirm und richtet sich nach dem langsten Eintrag, der (positiv) nicht mehr Gber die Gesamtbreite hinausgeht.

Schau Dir bitte die Suche nach Lange-Bertalot an, dann siehst Du, wo noch nicht gekirzt wird.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/bf643f223676b7510d21e41dd3760f342696e4a4

gerade mit Regine gesprochen, die nur inhaltlich schaut. Im Einzelfall fragte sich natirlich: warum steht da nicht, um welche Taxa es geht. Das sind
Luxusfragen. Ich bin mit ihr einige Autorinnen und Autoren durchgegangen und in den allermeisten Fallen war Deine Kirzung eindeutig und
aussagekraftig, schon!

#5 - 12/13/2018 04:58 PM - Andreas Kohlbecker

Ich habe nun noch einen Bug gefixt, es lang nicht an den BookSections sondern eine Stringersetzung hatte Probleme mit Klammern. Jetzt
funktioniert die "Ellypse" fur alle bis auf:

Kulikovskiy, M. & Lange-Bertalot, H. - Validation of some taxa. in Kulikovskiy, M., Lange-Bertalot, H., Metzeltin, D. & al., Lake Baikal: Hotspot of
endemic diatoms l.lconographia Diatomologica, 23: [1]-861. 2012

das ist ein absoluter Sonderfall:

Diese Referenz hat 2 In-Referenzen:

BookSection:

Kikovskiy, M. & Lange-Bertalot, H. - Validation of some taxa. in Kulikovskiy, M., Lange-Bertalot, H., Metzelti
n, D. & al., Lake Baikal: Hotspot of endemic diatoms I.Iconographia Diatomologica, 23: [1]-861. 2012

in BookSection:

Kulikovskiy, M., Lange-Bertalot, H., Metzeltin, D. & al. - Lake Baikal: Hotspot of endemic diatoms I. in Taxon

omy - biogeography - diversity. 23.

in Book:
Taxonomy - biogeography - diversity. 23. 2012

wobei aber die 2. In-Referenz (Book) durch den geschiitzten TitelCache in der ersten BookSection tiberschrieben wird: "lconographia Diatomologica,
23" statt "Taxonomy - biogeography - diversity. 23" aus diesem Grund kann die Text-Ellypse nicht funktioniern.

Ein Datenfehler oder beabsichtig?

#6 - 12/13/2018 05:23 PM - Wolf-Henning Kusber
- File picture470-1.png added

Mit der Referenz hatte ich Probleme. Die Wiedergabe des Buches ist ungeniigend (siehe Screen shot).
Editor fehlt, "23" macht nur als Vol. der Book series "lconographia Diatomologica" Sinn. Bis auf die Seitenzahlen ist das Buch vollstandig erfasst.
|

Reference Edit in book

Date published Reference type

= 2012 Book

Title

Taxonomy - biogeography - diversity.

Momenclatural title

Taxenomy - biogeography - diversity.

Author(s)

In series

lconographia Diatomologica

Wolume Edition Place published

23

Ruggell

Publisher Editor ISBM Dol

A R.G. Gantner Verlag K.G. Lange-Bertalot, H. 978-3-905597-09-5

Un

#7 - 12/13/2018 06:42 PM - Wolf-Henning Kusber
- File picture065-1.png added

Book title causes problems. Combobox longer than screen. Date not given AND title not shortened. See screen shot:

logout & wh kusber

New Registration

Any valid nomenclatural act can only be etablished in a publication. To start a new registration process, please choose an existing one or create a new publication

Choose from existing publications Create a new publication

| New

Greuter, WR_,___, International Code of Botanical Nomenclature (Saint Louis Code) adopted by the Sixteenth International Botanical Congress St Louis, Missciuri, July-Au

#8 - 12/14/2018 11:27 AM - Andreas Kohlbecker

The Book "Greuter, McNeill, Barrie, Burdet, Demoulin, Filg., Nicolson, P.C.Silva, J.E.Skog, Trehane, Turland, D.Hawksw. & al., International Code of
Botanical Nomenclature (Saint Louis Code) adopted by the Sixteenth International Botanical Congress St Louis, Missouri, July-August 1999Regnum
Vegetabile, 138. 2000" is not atomized. This is why it can not be truncated.
As far as i understand the problem pointed out it comment 6, it is a limitation of the ReferenceCacheStrategy and has noting to do with this issue
here.

#9 - 12/14/2018 11:52 AM - Wolf-Henning Kusber
- File picture191-1.png added

We should differentiate between atomized data and protected/unprotected caches and bibliographic/nomenclatural references. The respective
reference looks like this (screen shot).

Data atomized.

Reference Cache (=bibliographic) = unprotected, i.e. the padlock is open to allow atomized data to update the cache.

Nomencl. Cache (=nomenclatural reference) = protected, i.e. the cache is saved "as is" in the field and is protected by a closed padlock.

It is not clear in Vaadin on which cache the reference is searched.

[# Details 5 | = 0

~ Reference: Greuter, W.R., McNeill, J., Barrie, F.R. & al., -
International Code of Botanical Nomenclature (Saint Louis B
Code) adopted by the Sixteenth International Botanical
Congress 5t Louis, Missouri, July-August 1999Regnum
Vegetabile, 138. 2000

Reference Cache Greuter, W.R, McNeill, )., Barrie, F.R. & al, =
International Code of Botanical Nomenclature
(Saint Louis Code) adopted by the Sixteenth
International Botanical Congress 5t Louis,
Missouri, July-August 1999Regnum
Vegetabile, 138, 2000

Nomencl. Cache | Greuter, McNeill, Barrie, Burdet, Demoulin,
Filg., Nicolson, P.C.5ilva, 1.E.Skog, Trehane,
Turland, D.Hawksw. & al., International Code
of Botanical Nomenclature (Saint Louis Code)
adopted by the Sixteenth International
Botanical Congress St Louis, Missouri, July-
August 1999Regnum Vegetabile, 138, 2000

Title

111

MNomencl. Title

nseies [ < |3

Editor W. Greuter

Edition ]
ISEN 3-904144-22-7

Place Published

Publisher Koeltz Scientific Books

Volume B
Series Regnum Vegetabile
! { IF

Zusatzdaten Eﬂ = O

Reference: Greuter, W.R., McNeill, J., Barrie, F.R. & al., International =
Code of Botanical Nomenclature (Saint Louis Code) adopted by the E]
Sixteenth International Botanical Congress 5t Louis, Missouri,
July-August 1999Regnum Vegetabile, 138. 2000

Bemerkung:Eine Anderung in den atomisierten Daten hat eine Anderung im Feld mit geschlossenem Schloss, aber keine Anderung im Cache mit
geoffnetem Schloss bewirkt, das ist vollig absurd. Das SchlieBen des Schlosses beim Reference Cache hat ein Update des Feldes bewirkt, das ist
eine Funktionalitat, die weder in einem Mouseover erklart wird, noch im Nutzerlnnen-Handbuch, noch irgendwie intuitiv nachvollziebar ist.

#10 - 12/14/2018 09:25 PM - Andreas Kohlbecker

I improved the label ReferenceEllypsisFormatter so that it can deal with any title cache protection. thus the above problems are eliminated by the new
implementation.

Please review again.

#11 - 12/17/2018 10:20 AM - Wolf-Henning Kusber

- File picture701-1.png added

- Status changed from Resolved to In Progress

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 60

2018-12-17 no changes visible for me.

Normally the formatter works well.

Problems with long book titles are not solved.
Search for "Greuter" same as shown in #7.
Search for "Lange-Bertalot", "Hofmann"

A new layout problem occurred: Even if a long title shortened, the dropdown menue is too long (see screen shot).
An old/new related layout problem occurs:

If there are two long dropdown boxes AND the user reaches the box with the mouse beginning below the box, the Vaadin screen is pushed to the left
(see screen shot).

logout & wh kusber

New Registration

tablished in a publication. To s n pre 5€ Choose ar ng one or create

Choose from existing publications

2004

Diatoms in Mongolia.lconographia Diatomologica, 20: 1-684. 2009

ome...Diatoms of Europe, 6: [1]-747. 2011

ertalot.._. Diatomeem im S nthos von Mitteleuropa. Bestimmung en fur die okologisch El Arten undihre Okologie: [1]-808. 2013

#12 - 12/17/2018 03:55 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

The test server was not yet up to date. After the server was buidl freshly | could not reproduce any of the above named issues.
Please test again.

#13 - 12/17/2018 05:16 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 60 to 70

"Greuter" Ref. solved. Layout problems not, see #11

A new layout problem occurred: Even if a long title shortened, the dropdown menue is too long (see screen shot).

An old/new related layout problem occurs:
If there are two long dropdown boxes AND the user reaches the box with the mouse beginning below the box, the Vaadin screen is pushed to the left
(see screen shot).
New Add: it also happens when the mouse is above the box.

#14 - 12/18/2018 08:51 AM - Andreas Kohlbecker
- File picture998-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

For me it looks like this:

Choose from existing pL ions Create a new publi

Greut

Greuter, WR,, ..., International Code ... Vegetabile, 138. 2000

Create a new pub

Metzeltin, D. & ...Diatomeen der ...|

Metzeltin, D. & ...Diatoms from the .

Metzeltin, D., ...Diatoms of Uruguay ...

Metzeltin, D., ...Diatoms in Mongolia. ...Iconographia ... 20: 1-684. 2009

| think we should discuss these differences we see in a telco.

#15 - 12/18/2018 08:54 AM - Andreas Kohlbecker
- File picture185-1.png added

#16 - 12/18/2018 11:18 AM - Wolf-Henning Kusber
- File picture294-1.png added

Die meisten Unstimmigkeiten kommen durch IAPT-Altdaten und Eintrage aus dem ersten Jahr PhycoBank.
Dort wurden Serien wie Journals behandelt und es gab keine Sections. D.h. Grundsétzlich ist folgendermafBen verfahren worden.

Artikel: Algenname Nomenklatorisches Autorenteam in Jounal Volume: Ref. detail

(Das ist ein Verfahren, dass pragmatisch und nomenklatorisch korrekt ist, allerdings bibliographisch nicht regelgerecht und nicht CDM-konform). Das
war auch einer der Hauptgriinde, warum wir mit der AlgaTerra-Migration nicht richtig weiter kamen.
Tats&chlich misste es in PhycoBank folgendermaf3en hinterlegt sein:

Sektion: Algenname Nomenklatorisches Autorenteam in Booksection: bibligraphisches Autorenteam: Titel in: Book: Editorenteam: Titel des Buches,
Seitenzahlen. Reihe Volume. Verlagsort, Verlag.

Bei letzten beiden ist immer die Frage der Reihenfolge.
Jedenfalls ist kein automatisiertes Verfahren méglich, da hunderte von Namen neu evaluiert werden miissen.

,:#1 Edit Reference | ] 2< |
Reference

The Reference is referenced by 2 objects, if you change it, it is changed for all these objects -
Reference Cache | Metzeltin, D. in Iconographia Diatomologica 4. 1996 ;

Momencl. Cache

eltin in [conogr. Diatomol. 4. 1996

Reference Typa

Title

Momencl. Title - -

Author {\ Metzeltin, D~ \) @ i
Journal dﬁ nographia Diatomologica) @

Volume 4

m

Series

Pages gﬁ_/)
Date Published

URI

Reference Abstract

Finish Cancel

#17 - 12/19/2018 04:22 PM - Andreas Kohlbecker

- File picture630-1.png added

- Status changed from Feedback to In Progress

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

The data problems pointed out in comment 16 are not really relevant for this issue.

But there is still one situation in which the combobox popup is exceeding the overall page width, even if there is no such long label in the popup:
Choose from existing publications Create a new publication

New

chmann, J., ..The Hot Spot in a ...in Protis
chmann, J., ..Still curling after ... in. 2017

in Algol. Stud. 91. 1998

.L.Clay & ...in J. Phycol. 35. 1999

, B.L.Clay, ...in J. Phycol. 35. 1999

kiy, M. & ...Validation of some ...in Kulikovskiy, M., ..Lake Baikal: Hotspot ...in Taxonomy - ... Iconographia Diatomoloc

Kulikovskiy, M., ...Description of the ...in - undefined ... 18(1): 120-129. 2018

This can be reproduced by scrolling the pages via the page down button or with the mouse wheel.

#18 - 12/19/2018 04:32 PM - Andreas Kohlbecker
This obviously comes from the vaadin combobox, the width of the div containing the table is set too wide:
<div class="v-filterselect-suggestmenu" style="overflow-y: auto; width: 1025px;">
<table>
<tbody>
<tr>

<td class="gwt-Menultem gwt-Menultem-selected" role="listitem">
<span>Krasske, G.Zur Diatomeenflora ..

This bug only becomes apparent with specific browser window widths and is easier to reproduce on Version 71.0.3578.80 (Official Build) Built on
Ubuntu , running on LinuxMint 18.2 (64-bit) (page size 1276.150 x 790) or with Firefox on Windows than with Firefox 64.0 (64-bit) on Linux

| think we should close this issue in favor of opening a lower priority issue for the vaadin combobox resize problem .... #7959

#19 - 12/19/2018 04:45 PM - Andreas Kohlbecker
- Copied to bug #7959: LazyCombobox popup over sizing problem added

#20 - 12/19/2018 04:45 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 70 to 100
